package com.xjrsoft.module.liteflow.node;

import cn.hutool.core.convert.Convert;
import com.xjrsoft.module.personnel.entity.CarMessageApply;
import com.xjrsoft.module.personnel.service.ICarMessageApplyService;
import com.xjrsoft.module.student.service.IBaseStudentAssessmentClassRelationService;
import com.yomahub.liteflow.core.NodeComponent;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * 车辆申请，通过后修改状态
 */
@Component("car_message_apply_node")
public class CarMessageApplyNode extends NodeComponent {

    @Autowired
    private ICarMessageApplyService carMessageApplyService;

    @Override
    public void process() throws Exception {
        // 获取表单中数据编号
        Map<String, Object> params = this.getFirstContextBean();
        Object value = util.getFormDatKey(params,"id");
        Long formId = Convert.toLong(value);
        if (formId != null) {
            // 数据处理
            CarMessageApply carMessageApply = carMessageApplyService.getById(formId);
            carMessageApply.setStatus(1);
            carMessageApply.setExamStatus(1);

            carMessageApplyService.updateById(carMessageApply);
        }
    }
}